Skip to main content
Version: v2

Accept cropped images

By default, Verify rejects fully cropped images—images that show only the document without any background. Cropping is treated as a form of digital tampering, because a live document presented in a live situation always has physical context around it.

Using the Verify SDK​

If you use the Verify SDK, this situation doesn't arise. The SDK only allows images captured in live conditions and does not permit fully cropped images to be submitted.

Accepting cropped images​

If you control the cropping yourself (for example, you crop images server-side from a known-good capture), you can allow them by setting captureConditions to Hybrid in the useCase object. This tells Verify that you have control over the capture process and that cropped images should be fully processed and allowed to pass.

Request body
{
"imageFront": {
"url": "https://example.com/id-front.jpg"
},
"imageBack": {
"url": "https://example.com/id-back.jpg"
},
"useCase": {
"captureConditions": "Hybrid"
}
}
curl https://us-east.verify.microblink.com/api/v2/docver --user foo:bar --json @request.json

For a full description of captureConditions values, see Configuration.